JmxServerNotificationAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JmxServerNotificationAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxServerNotificationAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.agent.AbstractNotificationLoggerAgent
              org.mule.module.management.agent.JmxServerNotificationAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class JmxServerNotificationAgent

extends AbstractNotificationLoggerAgent

An agent that propergates Mule Server notifications to Jmx.

Nested Class Summary
`static class` | `JmxServerNotificationAgent.BroadcastNotificationService`
`static interface` | `JmxServerNotificationAgent.BroadcastNotificationServiceMBean`
`static class` | `JmxServerNotificationAgent.NotificationListener`
`static interface` | `JmxServerNotificationAgent.NotificationListenerMBean`

Field Summary
`static String` | `BROADCASTER_JMX_OBJECT_NAME`
`static String` | `DEFAULT_AGENT_NAME`
`static String` | `LISTENER_JMX_OBJECT_NAME`

Fields inherited from class org.mule.agent.AbstractNotificationLoggerAgent
`logger`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JmxServerNotificationAgent()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`protected void` | `doInitialise()`
`String` | `getDescription()` Should be a 1 line description of the agent.
`JmxSupportFactory` | `getJmxSupportFactory()` Getter for property 'jmxSupportFactory'.
`protected void` | `logEvent(ServerNotification e)`
`void` | `setJmxSupportFactory(JmxSupportFactory jmxSupportFactory)` Setter for property 'jmxSupportFactory'.

Methods inherited from class org.mule.agent.AbstractNotificationLoggerAgent
`initialise, isIgnoreAdminNotifications, isIgnoreComponentMessageNotifications, isIgnoreComponentNotifications, isIgnoreConnectionNotifications, isIgnoreCustomNotifications, isIgnoreEndpointMessageNotifications, isIgnoreManagementNotifications, isIgnoreManagerNotifications, isIgnoreMessageNotifications, isIgnoreModelNotifications, isIgnoreSecurityNotifications, registered, setIgnoreAdminNotifications, setIgnoreComponentMessageNotifications, setIgnoreComponentNotifications, setIgnoreConnectionNotifications, setIgnoreCustomNotifications, setIgnoreEndpointMessageNotifications, setIgnoreManagementNotifications, setIgnoreManagerNotifications, setIgnoreMessageNotifications, setIgnoreModelNotifications, setIgnoreSecurityNotifications, start, stop, unregistered`

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LISTENER_JMX_OBJECT_NAME

    public static final String LISTENER_JMX_OBJECT_NAME

See Also:
  Constant Field Values

### BROADCASTER_JMX_OBJECT_NAME

    public static final String BROADCASTER_JMX_OBJECT_NAME

See Also:
  Constant Field Values

### DEFAULT_AGENT_NAME

    public static final String DEFAULT_AGENT_NAME

See Also:
  Constant Field Values

Constructor Detail

### JmxServerNotificationAgent

    public JmxServerNotificationAgent()

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractNotificationLoggerAgent`
  Throws:
    `InitialisationException`

### dispose

    public void dispose()

  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractNotificationLoggerAgent`

### logEvent

    protected void logEvent(ServerNotification e)

  Specified by:
    `logEvent` in class `AbstractNotificationLoggerAgent`

### getDescription

    public String getDescription()

  Should be a 1 line description of the agent.

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:
    description

### getJmxSupportFactory

    public JmxSupportFactory getJmxSupportFactory()

  Getter for property 'jmxSupportFactory'.

  Returns:
    Value for property 'jmxSupportFactory'.

### setJmxSupportFactory

    public void setJmxSupportFactory(JmxSupportFactory jmxSupportFactory)

  Setter for property 'jmxSupportFactory'.

  Parameters:
    `jmxSupportFactory` - Value to set for property 'jmxSupportFactory'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.